
Redmine - Defect #10172

There is no lines on revision graph between revisions in fetching before Redmine 1.2

2012-02-08 10:17 - Taha Jahangir

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.3.1

Description

After updating to 1.3.1 (from 1.2 branch), visual merge/branch history added, but it can't show revisions made before update. (see

screenshot).

Revisions made after update are displayed correctly.

--------------------

Working env:

rack (1.1.2)

rails (2.3.14)

rake (0.9.2.2)

rdoc (2.4.2)

ruby 1.8.7 (2010-08-16 patchlevel 302) [x86_64-linux]

Ubuntu Server 10.04 LTS, with mercurial 1.4.3

Related issues:

Related to Redmine - Feature #5501: Git: Mercurial: Adding visual merge/branc... Closed 2010-05-11

Related to Redmine - Defect #10174: Repository graph no draw lines Closed

History

#1 - 2012-02-08 10:54 - Toshi MARUYAMA

- Category set to SCM

#2 - 2012-02-08 10:56 - Toshi MARUYAMA

- Subject changed from Visual merge/branch history is not rendered correctly to there is no lines between revisions in fetching before Redmine 1.2

#3 - 2012-02-08 10:57 - Toshi MARUYAMA

- Subject changed from there is no lines between revisions in fetching before Redmine 1.2 to There is no lines between revisions in fetching before

Redmine 1.2

#4 - 2012-02-08 10:59 - Toshi MARUYAMA

This is the limitation.

Please see #5501 note-16

#5 - 2012-02-08 11:04 - Toshi MARUYAMA

- Subject changed from There is no lines between revisions in fetching before Redmine 1.2 to There is no lines on revision graph between revisions in

fetching before Redmine 1.2

#6 - 2012-02-08 15:37 - Taha Jahangir

- File Screenshot at 2012-02-08.png added

#7 - 2012-03-02 14:25 - Jorge López

- File Selección_001.png added

Same problem here, but I can't even see lines when using Redmine 1.3.1.

I have created a new project with a Git repository on a Redmine 1.3.1 platform. I pushed some simple commits (using two different branches) but after

fetching changesets (tried automatic fetching and manual fetching) I can just see what you see in the attached screenshot.
https://www.redmine.org/issues/5501
http://www.redmine.org/issues/5501#note-16


Environment:

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Environment               production

Database adapter          mysql

Database schema version   20110902000000

About your Redmine plugins

Redmine Gitosis plugin   0.0.5alpha

Bots filter              1.02

Redmine Backlogs         v0.7.1

RHEL 6.2

#8 - 2012-03-15 12:47 - Jorge López

Seems that Redmine isn't inserting any rows in changeset_parents table, that's why no lines are being drawn. If I manually create some rows those

lines get displayed.

This is an upgraded Redmine 1.2.3 installation, if that helps.

#9 - 2012-03-16 13:12 - Jorge López

Another update on this issue: in my case seems to be caused by redmine_gitosis plugin. After disabling it, new commits now get its lines drawn.

#10 - 2020-12-12 07:04 - Go MAEDA

- Resolution set to Wont fix

As described in #5501#note-16, it is a limitation of the feature. Closing.

#11 - 2020-12-12 07:05 - Go MAEDA

- Status changed from New to Closed

Files

Screenshot at 2012-02-08.png 84.2 KB 2012-02-08 Taha Jahangir

Selección_001.png 22 KB 2012-03-02 Jorge López
